--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/README.Debian Tue Jan 29 11:15:24 2008 +0100
@@ -0,0 +1,6 @@
+beremiz for Debian
+------------------
+
+<possible notes regarding this package - if none, delete this file>
+
+ -- lolitech <gregory.trelat@lolitech.fr> Thu, 29 Nov 2007 14:55:13 +0100
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/changelog Tue Jan 29 11:15:24 2008 +0100
@@ -0,0 +1,6 @@
+beremiz (1.0-1) unstable; urgency=low
+
+ * Initial release (Closes: #nnnn) <nnnn is the bug number of your ITP>
+
+ -- lolitech <gregory.trelat@lolitech.fr> Thu, 29 Nov 2007 14:55:13 +0100
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/compat Tue Jan 29 11:15:24 2008 +0100
@@ -0,0 +1,1 @@
+5
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/control Tue Jan 29 11:15:24 2008 +0100
@@ -0,0 +1,18 @@
+Source: beremiz
+Section: devel
+Priority: standard
+Maintainer: lolitech <gregory.trelat@lolitech.fr>
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: beremiz
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, matiec, plcopeneditor
+Description: Beremiz is an Open Source framework for automation
+ With Beremiz, you can :
+ - Automate everything.
+ - Take any processor into a PLC.
+ - Program once, run anywhere.
+ - Create PLC controled customizable HMIs.
+ - Conform to standards.
+ - Avoid vendor lock.
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postinst Tue Jan 29 11:15:24 2008 +0100
@@ -0,0 +1,43 @@
+#!/bin/sh
+# postinst script for canfestival
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ ln -sf /usr/share/beremiz/Beremiz.py /usr/bin/beremiz
+ chmod 755 /usr/share/beremiz/Beremiz.py
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postrm Tue Jan 29 11:15:24 2008 +0100
@@ -0,0 +1,31 @@
+#!/bin/sh
+# postrm script for canfestival-objdictedit
+#
+# see: dh_installdeb(1)
+
+set -e
+
+BEREMIZ=/usr/bin/beremiz
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ if [ -f "$BEREMIZ" ]; then
+ rm $BEREMIZ
+ fi
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/rules Tue Jan 29 11:15:24 2008 +0100
@@ -0,0 +1,105 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ CFLAGS += -O0
+else
+ CFLAGS += -O2
+endif
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+
+ touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+
+ # Add here commands to compile the package.
+ #$(MAKE)
+ #docbook-to-man debian/beremiz.sgml > beremiz.1
+
+ touch $@
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ #-$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/beremiz.
+ #$(MAKE) DESTDIR=$(CURDIR)/debian/beremiz install
+ mkdir -p $(CURDIR)/debian/beremiz/usr/share/beremiz
+ cp -a images $(CURDIR)/debian/beremiz/usr/share/beremiz
+ cp -a plugins $(CURDIR)/debian/beremiz/usr/share/beremiz
+ cp -a runtime $(CURDIR)/debian/beremiz/usr/share/beremiz
+ cp -a test $(CURDIR)/debian/beremiz/usr/share/beremiz
+ cp *.py $(CURDIR)/debian/beremiz/usr/share/beremiz
+
+ chmod -R a+r $(CURDIR)/debian/beremiz
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+ dh_installchangelogs
+ dh_installdocs
+ dh_installexamples
+# dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_python
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+# dh_perl
+# dh_makeshlibs
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb --destdir=../../../deb_files
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure